Bug 1263710 - owncloud external user support - smb PDC authenticates, but BDP fails
owncloud external user support - smb PDC authenticates, but BDP fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora EPEL
Classification: Fedora
Component: owncloud (Show other bugs)
epel7
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 09:21 EDT by lejeczek
Modified: 2016-05-21 20:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-21 20:37:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2015-09-16 09:21:46 EDT
Description of problem:


Version-Release number of selected component (if applicable):

owncloud-mysql-8.0.5-1.el7.noarch
owncloud-8.0.5-1.el7.noarch
owncloud-httpd-8.0.5-1.el7.noarch
samba-4.1.12-23.el7_1.x86_64
samba-client-4.1.12-23.el7_1.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

2015/09/16 13:53:09.828170,  2] ../source3/passdb/pdb_ldap.c:2311(init_group_from_ldap)
  init_group_from_ldap: Entry found for group: 517
[2015/09/16 13:53:09.828303,  5] ../source3/passdb/pdb_interface.c:1712(lookup_global_sam_rid)
  lookup_global_sam_rid: looking up RID 3001.
[2015/09/16 13:53:09.829127,  4] ../source3/passdb/pdb_ldap.c:1580(ldapsam_getsampwsid)
  ldapsam_getsampwsid: Unable to locate SID [S-1-5-21-2925918746-2661067204-1764633667-3001] count
=0
[2015/09/16 13:53:09.829707,  2] ../source3/passdb/pdb_ldap.c:2311(init_group_from_ldap)
  init_group_from_ldap: Entry found for group: 1000
[2015/09/16 13:53:09.829901,  5] ../source3/passdb/pdb_interface.c:1712(lookup_global_sam_rid)
  lookup_global_sam_rid: looking up RID 3039.
[2015/09/16 13:53:09.830354,  4] ../source3/passdb/pdb_ldap.c:1580(ldapsam_getsampwsid)
  ldapsam_getsampwsid: Unable to locate SID [S-1-5-21-2925918746-2661067204-1764633667-3039] count
=0
[2015/09/16 13:53:09.830842,  2] ../source3/passdb/pdb_ldap.c:2311(init_group_from_ldap)
  init_group_from_ldap: Entry found for group: 1019
[2015/09/16 13:53:09.831254,  4] ../source3/passdb/pdb_ldap.c:2438(ldapsam_getgroup)
  ldapsam_getgroup: Did not find group, filter was (&(objectClass=sambaGroupMapping)(sambaSID=S-1-
1-0))
[2015/09/16 13:53:09.831692,  4] ../source3/passdb/pdb_ldap.c:2438(ldapsam_getgroup)
  ldapsam_getgroup: Did not find group, filter was (&(objectClass=sambaGroupMapping)(sambaSID=S-1-
1-0))
[2015/09/16 13:53:09.832162,  4] ../source3/passdb/pdb_ldap.c:2438(ldapsam_getgroup)
  ldapsam_getgroup: Did not find group, filter was (&(objectClass=sambaGroupMapping)(sambaSID=S-1-
5-2))
[2015/09/16 13:53:09.832480,  4] ../source3/passdb/pdb_ldap.c:2438(ldapsam_getgroup)
  ldapsam_getgroup: Did not find group, filter was (&(objectClass=sambaGroupMapping)(sambaSID=S-1-
5-2))
[2015/09/16 13:53:09.832964,  4] ../source3/passdb/pdb_ldap.c:2438(ldapsam_getgroup)
  ldapsam_getgroup: Did not find group, filter was (&(objectClass=sambaGroupMapping)(sambaSID=S-1-
5-11))
[2015/09/16 13:53:09.833292,  4] ../source3/passdb/pdb_ldap.c:2438(ldapsam_getgroup)
  ldapsam_getgroup: Did not find group, filter was (&(objectClass=sambaGroupMapping)(sambaSID=S-1-
5-11))

Expected results:


Additional info:
Comment 1 James Hogarth 2016-05-01 19:36:19 EDT
Can you please verify if you see the behaviour on the new 8.1.6 update that has recently gone stable.

As a reminder if you missed the Fedora Magazine and Fedora/EPEL mailing list emails please ensure you are updated to 8.1 and fully tested before the 8.2 update.

Due to the way upstream handles updates it's not possible to jump 8.0 to 8.2 so it's important to have updated to 8.1 and fully tested your installation before the 8.2 update gets pushed stable in a few weeks.
Comment 2 James Hogarth 2016-05-21 20:37:25 EDT
As it's been 3 weeks and 8.2.4 is about to go stable I'm closing this bug.

If you see the same behaviour on 8.2.4 please reopen with steps to reproduce it.

Note You need to log in before you can comment on or make changes to this bug.